//Ancien fichier d'aide (remplacé par lecteur_texte.c). N'est utilisé à présent que pour les fades qui
//s'y trouvent encore.
u32 fade_actif=0;

void FadeIn()       {
    s32 i;
    //Effet: Darken layers
    REG_BLDMOD = 0x3fff;

    fade_actif=1;
    for (i=0;i<=16;i++)      {
        //Valeur d'assombrissement des plans sélectionnés
        REG_COLEY=i;
        //Il faut aussi régler l'alpha-blend (si la transparence est activée donc)
        if (bTransp)
            REG_COLEV = (8-i/2) + ((8-i/2) << 8);
        else
            REG_COLEV = 16-i;
        //Attend la VBlank.
        AttendVSync();
    }
}

void FadeOut()      {
    s32 i;
    REG_BLDMOD = 0x3fff;

    if (!fade_actif)
        return;
        
    //Même chose que l'autre... mais à l'envers!
    fade_actif=0;
    for (i=16;i>=0;i--)      {
        REG_COLEY=i;
        if (bTransp)
            REG_COLEV = (8-i/2) + ((8-i/2) << 8);
        else
            REG_COLEV = 16-i;
        AttendVSync();
    }
}



